[Geforce GT 430] The kernel driver does not load under Oneiric (but works in Natty)

Bug #839524 reported by David Henningsson on 2011-09-02
24
This bug affects 4 people
Affects Status Importance Assigned to Milestone
fglrx-installer (Ubuntu)
High
Alberto Milone
fglrx-installer-updates (Ubuntu)
High
Alberto Milone
nvidia-graphics-drivers (Ubuntu)
High
Alberto Milone
nvidia-graphics-drivers-173 (Ubuntu)
High
Alberto Milone
nvidia-graphics-drivers-173-updates (Ubuntu)
High
Alberto Milone
nvidia-graphics-drivers-96 (Ubuntu)
High
Alberto Milone
nvidia-graphics-drivers-96-updates (Ubuntu)
High
Alberto Milone
nvidia-graphics-drivers-updates (Ubuntu)
High
Alberto Milone

Bug Description

Note 1: nouveau loads though it is blacklisted. We don't know or understand why.

Note 2: This happens with the 3.0.0-9 kernel as well as the other Oneiric kernels.

[ 7.332] (II) Module nvidia: vendor="NVIDIA Corporation"
[ 7.332] compiled for 4.0.2, module version = 1.0.0
[ 7.332] Module class: X.Org Video Driver
[ 7.341] (EE) NVIDIA: Failed to load the NVIDIA kernel module. Please check your
[ 7.341] (EE) NVIDIA: system's kernel log for additional error messages.

Nothing in dmesg.

$ sudo modprobe nvidia-current
FATAL: Error inserting nvidia_current (/lib/modules/3.0.0-10-generic/updates/dkms/nvidia-current.ko): No such device

The same thing works under Natty.

$ modinfo nvidia-current
filename: /lib/modules/3.0.0-10-generic/updates/dkms/nvidia-current.ko
alias: char-major-195-*
supported: external
license: NVIDIA
alias: pci:v000010DEd00000E00sv*sd*bc04sc80i00*
alias: pci:v000010DEd00000AA3sv*sd*bc0Bsc40i00*
alias: pci:v000010DEd*sv*sd*bc03sc02i00*
alias: pci:v000010DEd*sv*sd*bc03sc00i00*
--- etc --

ProblemType: Bug
DistroRelease: Ubuntu 11.10
Package: nvidia-current 280.13-0ubuntu2
ProcVersionSignature: Ubuntu 3.0.0-10.16~diwicv1-generic 3.0.4
Uname: Linux 3.0.0-10-generic x86_64
Architecture: amd64
CompizPlugins: No value set for `/apps/compiz-1/general/screen0/options/active_plugins'
CompositorRunning: None
Date: Fri Sep 2 14:16:52 2011
DistUpgraded: Fresh install
DistroCodename: oneiric
DistroVariant: ubuntu
DkmsStatus:
 nvidia-current, 280.13, 3.0.0-10-generic, x86_64: installed
 nvidia-current, 280.13, 3.0.0-9-generic, x86_64: installed
GraphicsCard:
 nVidia Corporation GF108 [GeForce GT 430] [10de:0de1] (rev a1) (prog-if 00 [VGA controller])
   Subsystem: nVidia Corporation Device [10de:0000]
InstallationMedia: Ubuntu 11.10 "Oneiric Ocelot" - Alpha amd64 (20110802.1)
MachineType: Gigabyte Technology Co., Ltd. GA-MA770T-UD3P
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.0.0-10-generic root=UUID=20d7bd2d-3fb5-4a38-b8fd-781d352fbe4e ro quiet splash vt.handoff=7
SourcePackage: nvidia-graphics-drivers
UnitySupportTest:
 Error: command ['/usr/lib/nux/unity_support_test', '-p'] failed with exit code 1: Xlib: extension "GLX" missing on display ":0.0".
 Xlib: extension "GLX" missing on display ":0.0".
 Xlib: extension "GLX" missing on display ":0.0".
 Error: unable to create the OpenGL context
UpgradeStatus: No upgrade log present (probably fresh install)
XorgConf:
 Section "Device"
  Identifier "Default Device"
  Option "NoLogo" "True"
 EndSection
dmi.bios.date: 06/24/2009
dmi.bios.vendor: Award Software International, Inc.
dmi.bios.version: F2
dmi.board.name: GA-MA770T-UD3P
dmi.board.vendor: Gigabyte Technology Co., Ltd.
dmi.board.version: x.x
dmi.chassis.type: 3
dmi.chassis.vendor: Gigabyte Technology Co., Ltd.
dmi.modalias: dmi:bvnAwardSoftwareInternational,Inc.:bvrF2:bd06/24/2009:svnGigabyteTechnologyCo.,Ltd.:pnGA-MA770T-UD3P:pvr:rvnGigabyteTechnologyCo.,Ltd.:rnGA-MA770T-UD3P:rvrx.x:cvnGigabyteTechnologyCo.,Ltd.:ct3:cvr:
dmi.product.name: GA-MA770T-UD3P
dmi.sys.vendor: Gigabyte Technology Co., Ltd.
version.compiz: compiz 1:0.9.5.92+bzr2791-0ubuntu1
version.ia32-libs: ia32-libs 20090808ubuntu20
version.libdrm2: libdrm2 2.4.26-1ubuntu1
version.libgl1-mesa-dri: libgl1-mesa-dri 7.11-0ubuntu3
version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A
version.libgl1-mesa-glx: libgl1-mesa-glx 7.11-0ubuntu3
version.xserver-xorg: xserver-xorg 1:7.6+7ubuntu6
version.xserver-xorg-input-evdev: xserver-xorg-input-evdev 1:2.6.0-1ubuntu13
version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:6.14.99~git20110811.g93fc084-0ubuntu1
version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.15.901-1ubuntu2
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:0.0.16+git20110411+8378443-1

David Henningsson (diwic) wrote :
description: updated
Robert Hooker (sarvatt) wrote :

I managed to reproduce by installing cryptsetup, it looks like /lib/nvidia-current/modprobe.conf (which is the actual blacklist, /etc/modprobe.d/nvidia-graphics-drivers.conf is a symlink) didn't get copied into the initramfs so nouveau loads which prevents nvidia from loading later in the boot process.

affects: nvidia-graphics-drivers (Ubuntu) → initramfs-tools (Ubuntu)
Changed in initramfs-tools (Ubuntu):
importance: Undecided → High
status: New → Confirmed
Changed in initramfs-tools (Ubuntu):
assignee: nobody → Alberto Milone (albertomilone)
Changed in initramfs-tools (Ubuntu):
status: Confirmed → In Progress
affects: initramfs-tools (Ubuntu) → nvidia-graphics-drivers (Ubuntu)
Changed in fglrx-installer (Ubuntu):
assignee: nobody → Alberto Milone (albertomilone)
Changed in fglrx-installer-updates (Ubuntu):
assignee: nobody → Alberto Milone (albertomilone)
Changed in nvidia-graphics-drivers-173 (Ubuntu):
assignee: nobody → Alberto Milone (albertomilone)
Changed in nvidia-graphics-drivers-173-updates (Ubuntu):
assignee: nobody → Alberto Milone (albertomilone)
Changed in nvidia-graphics-drivers-96 (Ubuntu):
assignee: nobody → Alberto Milone (albertomilone)
Changed in nvidia-graphics-drivers-96-updates (Ubuntu):
assignee: nobody → Alberto Milone (albertomilone)
importance: Undecided → High
Changed in nvidia-graphics-drivers-96 (Ubuntu):
importance: Undecided → High
Changed in nvidia-graphics-drivers-173-updates (Ubuntu):
importance: Undecided → High
Changed in nvidia-graphics-drivers-173 (Ubuntu):
importance: Undecided → High
Changed in fglrx-installer-updates (Ubuntu):
importance: Undecided → High
Changed in fglrx-installer (Ubuntu):
importance: Undecided → High
Changed in nvidia-graphics-drivers-updates (Ubuntu):
importance: Undecided → High
Changed in fglrx-installer (Ubuntu):
status: New → In Progress
Changed in fglrx-installer-updates (Ubuntu):
status: New → In Progress
Changed in nvidia-graphics-drivers-173 (Ubuntu):
status: New → In Progress
Changed in nvidia-graphics-drivers-173-updates (Ubuntu):
status: New → In Progress
Changed in nvidia-graphics-drivers-96 (Ubuntu):
status: New → In Progress
Changed in nvidia-graphics-drivers-96-updates (Ubuntu):
status: New → In Progress
Changed in nvidia-graphics-drivers-updates (Ubuntu):
status: New → In Progress
Michael Horgan (mhorgan) wrote :

Any plans for it to be fixed? I haven't done a dist-upgrade because of this.

Alberto Milone (albertomilone) wrote :

@Michael: I'm working on it

Ciso (cisoprogressivo) wrote :

Thank you Alberto,
I'm also affected by this bug.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nvidia-graphics-drivers-173 - 173.14.30-0ubuntu6

---------------
nvidia-graphics-drivers-173 (173.14.30-0ubuntu6) oneiric; urgency=low

  * debian/rules:
    - Remove trailing spaces.
    - Blacklist the updates flavours in modprobe.conf.
    - Add an initramfs hook to make sure that nothings else loads
      open graphics drivers in the initramfs (LP: #839524).
 -- Alberto Milone <email address hidden> Wed, 07 Sep 2011 16:50:09 +0200

Changed in nvidia-graphics-drivers-173 (Ubuntu):
status: In Progress → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nvidia-graphics-drivers-173-updates - 173.14.30-0ubuntu3

---------------
nvidia-graphics-drivers-173-updates (173.14.30-0ubuntu3) oneiric; urgency=low

  * debian/rules:
    - Remove trailing spaces.
    - Blacklist the updates flavours in modprobe.conf.
    - Add an initramfs hook to make sure that nothings else loads
      open graphics drivers in the initramfs (LP: #839524).
 -- Alberto Milone <email address hidden> Wed, 07 Sep 2011 17:09:24 +0200

Changed in nvidia-graphics-drivers-173-updates (Ubuntu):
status: In Progress → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nvidia-graphics-drivers - 280.13-0ubuntu3

---------------
nvidia-graphics-drivers (280.13-0ubuntu3) oneiric; urgency=low

  * debian/rules:
    - Remove trailing spaces.
    - Blacklist the updates flavours in modprobe.conf.
    - Add an initramfs hook to make sure that nothings else loads
      open graphics drivers in the initramfs (LP: #839524).
 -- Alberto Milone <email address hidden> Wed, 07 Sep 2011 12:36:48 +0200

Changed in nvidia-graphics-drivers (Ubuntu):
status: In Progress → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nvidia-graphics-drivers-96 - 96.43.20-0ubuntu4

---------------
nvidia-graphics-drivers-96 (96.43.20-0ubuntu4) oneiric; urgency=low

  * debian/rules:
    - Remove trailing spaces.
    - Blacklist the updates flavours in modprobe.conf.
    - Add an initramfs hook to make sure that nothings else loads
      open graphics drivers in the initramfs (LP: #839524).
 -- Alberto Milone <email address hidden> Wed, 07 Sep 2011 17:18:02 +0200

Changed in nvidia-graphics-drivers-96 (Ubuntu):
status: In Progress → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nvidia-graphics-drivers-96-updates - 96.43.20-0ubuntu3

---------------
nvidia-graphics-drivers-96-updates (96.43.20-0ubuntu3) oneiric; urgency=low

  * debian/rules:
    - Remove trailing spaces.
    - Blacklist the updates flavours in modprobe.conf.
    - Add an initramfs hook to make sure that nothings else loads
      open graphics drivers in the initramfs (LP: #839524).
 -- Alberto Milone <email address hidden> Wed, 07 Sep 2011 17:24:46 +0200

Changed in nvidia-graphics-drivers-96-updates (Ubuntu):
status: In Progress → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nvidia-graphics-drivers-updates - 280.13-0ubuntu3

---------------
nvidia-graphics-drivers-updates (280.13-0ubuntu3) oneiric; urgency=low

  * debian/rules:
    - Remove trailing spaces.
    - Blacklist the updates flavours in modprobe.conf.
    - Add an initramfs hook to make sure that nothings else loads
      open graphics drivers in the initramfs (LP: #839524).
 -- Alberto Milone <email address hidden> Wed, 07 Sep 2011 12:24:32 +0200

Changed in nvidia-graphics-drivers-updates (Ubuntu):
status: In Progress → Fix Released
Andreas Schultz (aschultz) wrote :

nice that this problem has been fixed in the nvidia package, but i believe that this really is a initramfs bug, it simply ignores the blacklist status of modules, see LP: #815803

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package fglrx-installer - 2:8.881-0ubuntu2

---------------
fglrx-installer (2:8.881-0ubuntu2) oneiric; urgency=low

  * debian/rules:
    - Add an initramfs hook to make sure that nothing else loads
      open graphics drivers in the initramfs (LP: #839524).
 -- Alberto Milone <email address hidden> Thu, 08 Sep 2011 15:12:24 +0200

Changed in fglrx-installer (Ubuntu):
status: In Progress → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package fglrx-installer-updates - 2:8.881-0ubuntu3

---------------
fglrx-installer-updates (2:8.881-0ubuntu3) oneiric; urgency=low

  * debian/rules:
    - Add an initramfs hook to make sure that nothing else loads
      open graphics drivers in the initramfs (LP: #839524).
 -- Alberto Milone <email address hidden> Thu, 08 Sep 2011 18:11:28 +0200

Changed in fglrx-installer-updates (Ubuntu):
status: In Progress → Fix Released
Changed in nvidia-graphics-drivers-updates (Ubuntu):
assignee: nobody → Alberto Milone (albertomilone)
Jammy Zhou (jammy-zhou) wrote :

It seems that the same problem happens when resume from suspend/hibernation.

Africanus (africanus) wrote :

Workaround installing the latest driver from Nvidia 285.05.09 -- works fine!
I found a .deb here https://launchpad.net/~ubuntu-x-swat...ates/+packages
(The Nvidia package won't install as is)

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers